package com.sintecmedia.components.exceptions;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.render.Renderer;

public class DayIndexOutOfBoundsException 
		extends IndexOutOfBoundsException implements RichComponentException {	
	private static final long serialVersionUID = -6172013523350098649L;
	private UIComponent component;
	private Renderer renderer;
	private FacesContext ctx;
	private String methodName;
	
	@Override
	public UIComponent getComponent() {	return component; }

	@Override
	public Renderer getRenderer() {	return renderer; }

	@Override
	public void setComponent( UIComponent component ) { 
		this.component = component; 
	}

	@Override
	public void setRenderer( Renderer renderer ) { this.renderer = renderer; }

	@Override
	public FacesContext getContext() { return ctx; }

	@Override
	public String getMethodName() {	return methodName; }

	@Override
	public void setContext( FacesContext ctx ) { this.ctx = ctx; }

	@Override
	public void setMethodName( String methodName ) { this.methodName = methodName; }

}
