if (!window.Richfaces) {
	window.Richfaces = {};
}

function changeSelection( element, dayIndex ) {
	var selectedDayStyle = /\bselected\b/i;
	var unselectedDayStyle = /\bunselected\b/i;
	Event.fire( 
		element, 
		'rich:weekdaysbuttons:ondayselect', 
		{'dayIndex':  dayIndex } 
	);
	if( element.className.match( selectedDayStyle ) ) {
		element.className = element.className.replace( 
				selectedDayStyle, "unselected" );		
	} else if( element.className.match( unselectedDayStyle ) ) {
		element.className = element.className.replace( 
				unselectedDayStyle, "selected" );
	}
	return true;
}

Richfaces.DaySelectedEvent = "rich:weekdaysbuttons:ondayselect";

Richfaces.DaySelector = Class.create({
	initialize: function(clientId, submitFunction) {
		this.element = $(clientId);
		this.element.component = this;
		
		this["rich:destructor"] = "destroy";
		
		Event.observe(this.element, Richfaces.DaySelectedEvent, submitFunction);
	}	
});